Subject: Re: bug#76538: 31.0.50; 31.0.50; 31.0.50; feature/igc: using magit-section-cycle-global (S-TAB) and magit-section-toggle (TAB) in some random ways blocks GNU Emacs.

From: Ihor Radchenko <[email-masked]>
Date: Thu, 27 Feb 2025 19:48:25 +0000

Gerd Möllmann <[email-masked]> writes:

>> I am wondering if anyone else is able to reproduce the problem locally.
>
> I haven't tried the OP's recipe, but I know that Magit can get really
> slow, things taking minutes. An example would be a large merge of
> several hundred files, and with conflicts. The status buffer becomes
> as good as unusable then. I don't think this started with igc.

In this particular case, igc is hanging forever while master just hangs
for a few seconds and then goes back to be responsive.
So, something _is_ going on in igc.

-- 
Ihor Radchenko // yantar92,
Org mode maintainer,
Learn more about Org mode at <https://orgmode.org/>.
Support Org development at <https://liberapay.com/org-mode>,
or support my work at <https://liberapay.com/yantar92>